package me.lensfrex.trailblazer.api.v1.beans.responses;

import com.google.gson.annotations.SerializedName;

/**
 * 登录响应中data字段的对象
 */
public class LoginResponseData {
    /**
     * 登录用户的uid
     */
    private long uid;

    private String uuid;

    private int account_status;

    /**
     * 用户本次登录得到的token
     */
    @SerializedName("access_token")
    private String accessToken;

    public LoginResponseData(long uid, String uuid, int account_status, String accessToken, long expiredAt) {
        this.uid = uid;
        this.uuid = uuid;
        this.account_status = account_status;
        this.accessToken = accessToken;
        this.expiredAt = expiredAt;
    }

    /**
     * 用户此次得到的token的过期时间
     */
    @SerializedName("expired_at")
    private long expiredAt;

    public long getUid() {
        return uid;
    }

    public void setUid(long uid) {
        this.uid = uid;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public long getExpiredAt() {
        return expiredAt;
    }

    public void setExpiredAt(long expiredAt) {
        this.expiredAt = expiredAt;
    }

    public int getAccount_status() {
        return account_status;
    }

    public void setAccount_status(int account_status) {
        this.account_status = account_status;
    }
}
